#!/bin/bash
#
# Musterlsung zur Unix-bung "Automatisierung" im Blockkurs Systemverwaltung
# an der Freien Universitt Berlin im Sommersemester 2007
#
# Daniel Bwetter <boesswet@inf.fu-berlin.de>
# 08.08.2007
#

PATH=/bin:/usr/bin

# Name der virtual-Datei
F_VIRTUAL=virtual
# Name der Passwort-Datei
F_PASSWD=passwd
# kleinste UID, die einen E-Mail-Alias bekommen soll
UID_MIN=1000

# virtual kopieren
if ! cp $F_VIRTUAL ${F_VIRTUAL}~ ; then

	echo "Konnte $F_VIRTUAL nicht nach ${F_VIRTUAL}~ sichern! Abbruch ..."
	exit 1
fi

# Kopf der virtual bis zum "#---END" retten:
sed -e "/^#---END/q" ${F_VIRTUAL}~ > $F_VIRTUAL

# passwd durchgehen und fr alle uid>1000 Zeilen an die virtual anhngen
awk -f- $F_PASSWD >> $F_VIRTUAL <<EOF
BEGIN{
	FS=":"
}

{
	gsub( "[ \\t]", ".", \$5 )
	if ( \$3 >= $UID_MIN) print tolower(\$5) "@springfield.com\\t\\t" \$1
}
EOF

